# Users

The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change.

## List users

> Retrieves a collection of all users for a team or an organization with a given ID. Returned users are sorted by id in descending order.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users":{"get":{"tags":["Users"],"summary":"List users","description":"Retrieves a collection of all users for a team or an organization with a given ID. Returned users are sorted by id in descending order.","parameters":[{"description":"The unique ID of the organization whose users will be retrieved. If this parameter is set, the `teamId` parameter must be skipped. For each request either `teamId` or `organizationId` must be defined.","name":"organizationId","in":"query","schema":{"type":"integer"}},{"description":"The unique ID of the team whose users will be retrieved. If this parameter is set, the `organizationId` parameter must be skipped. For each request either `teamId` or `organizationId` must be defined.","name":"teamId","in":"query","schema":{"type":"integer"}},{"description":"Optional filter parameter.","name":"name","in":"query","schema":{"type":"string"}},{"description":"Optional filter parameter.","name":"email","in":"query","schema":{"type":"string"}},{"description":"Optional filter parameter. If this parameter is set, the `teamId` parameter must be set as well.","name":"teamRoleId","in":"query","schema":{"type":"integer"}},{"description":"Optional filter parameter. If this parameter is set, the `organizationId` parameter must be set as well.","name":"organizationRoleId","in":"query","schema":{"type":"integer"}},{"description":"Filter by team ID. Use 0 to find users not assigned to any team. Requires organizationId.","name":"filterByTeamId","in":"query","schema":{"type":"integer"}},{"name":"tfaStatus","description":"The user's two-factor authentication (TFA) status. This field is available only on plans that have the TFA enforcement enabled.","in":"query","schema":{"type":"integer","enum":[0,1,2]}},{"name":"cols[]","in":"query","description":"An array of columns that should be returned from the API. Can be used to save bandwidth when not all properties are needed.","schema":{"type":"array","items":{"type":"string","enum":["id","name","email","language","timezoneId","localeId","countryId","features","avatar","lastLogin","tfaStatus","userTeamIds"]}}},{"name":"pg[sortBy]","description":"The value that will be used to sort returned entities by. Users can be sorted by name, id and email.","in":"query","schema":{"type":"string","enum":["name","id","email"]}},{"name":"pg[sortDir]","in":"query","schema":{"type":"string","enum":["asc","desc"]},"description":"The sorting order. It accepts the ascending and descending direction specifiers."},{"name":"pg[offset]","in":"query","schema":{"type":"integer"},"description":"The number of entities you want to skip before getting entities you want."},{"name":"pg[limit]","in":"query","schema":{"type":"integer"},"description":"The maximum number of entities you want to get in the response."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"users":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"language":{"type":"string"},"timezoneId":{"type":"integer"},"localeId":{"type":"integer"},"countryId":{"type":"integer"},"features":{"type":"object","properties":{"allow_apps":{"type":"boolean"}}},"avatar":{"type":"string","format":"uri"},"lastLogin":{"type":"string","format":"date-time"},"tfaStatus":{"type":"integer","nullable":true,"enum":[0,1,2],"description":"Two-factor authentication status:\n- 0: No TFA set\n- 1: TFA active (authenticator app)\n- 2: External authentication (Social SSO)\n\nIt is only supported on Make's public cloud instances.\n"},"supportEligible":{"type":"boolean","description":"Whether the user is eligible for contact support. False if all user's organizations are on Free plan and account is older than 90 days."},"userTeamIds":{"type":"array","nullable":true,"description":"IDs of teams the user belongs to within the organization. Only returned when explicitly requested via cols[]=userTeamIds and organizationId is provided.","items":{"type":"integer"}}}}},"pg":{"type":"object","properties":{"last":{"type":"string","description":"Shown only when using the `last` based pagination."},"showLast":{"type":"boolean","description":"Shown only when using the `last` based pagination."},"sortBy":{"type":"string"},"sortDir":{"type":"string"},"limit":{"type":"integer"},"offset":{"type":"integer","description":"Shown only when using the `offset` based pagination."}}}}}}}}}}}}}
```

## Delete current user

> Deletes the authenticated user's own account. Requires password and/or 2FA, if configured.  Optionally deletes all user connections (accounts, webhooks, etc).

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users":{"delete":{"tags":["Users"],"summary":"Delete current user","description":"Deletes the authenticated user's own account. Requires password and/or 2FA, if configured.  Optionally deletes all user connections (accounts, webhooks, etc).","requestBody":{"required":false,"content":{"application/json":{"schema":{"type":"object","properties":{"deleteConnections":{"type":"boolean","description":"Whether to delete all user connections (accounts, webhooks, etc).","default":false},"currentPassword":{"type":"string","description":"User's current password (required if user has a password set)."},"tfaCode":{"type":"string","description":"Two-factor authentication code (required if 2FA is enabled)."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"integer"}}}}}}}}}}}
```

## Update user

> Updates a user with a given ID by passing new data in the request body. Any property that is not provided will be left unchanged. As the response, it returns all details of the updated user including properties that were not changed.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/{userId}":{"patch":{"tags":["Users"],"summary":"Update user","description":"Updates a user with a given ID by passing new data in the request body. Any property that is not provided will be left unchanged. As the response, it returns all details of the updated user including properties that were not changed.","parameters":[{"required":true,"name":"userId","in":"path","schema":{"type":"string"},"description":"The unique ID of the user. It can be retrieved from the [List users](/api-reference/users/get--users.md) endpoint."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the user. The name must be at most 250 characters long and does not need to be unique. The name may contain only letters, numbers, spaces, and the following special characters: `'`, `-`, `.`, `(`, `)`, `*`, `+`, `,`, `@`, `_`, `/`. The name must not start or end with a space."},"language":{"type":"string","description":"The standardized language code. It sets the Make environment language."},"timezoneId":{"type":"integer","description":"The timezone ID corresponding to the local time. The list of all timezones can be retrieved from the `GET /enums/timezones` endpoint."},"localeId":{"type":"integer","description":"The location ID. It sets the Make environment date formats, hour formats, decimal separators, etc. The list of all locales can be retrieved from the `GET /enums/locales` endpoint."},"countryId":{"type":"integer","description":"The country ID. It sets the region of use."}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"user":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"email":{"type":"string","format":"email"},"language":{"type":"string"},"timezoneId":{"type":"integer"},"localeId":{"type":"integer"},"countryId":{"type":"integer"},"features":{"type":"object","properties":{"allow_apps":{"type":"boolean"}}},"avatar":{"type":"string","format":"uri"},"lastLogin":{"type":"string","format":"date-time"},"tfaStatus":{"type":"integer","nullable":true,"enum":[0,1,2],"description":"Two-factor authentication status:\n- 0: No TFA set\n- 1: TFA active (authenticator app)\n- 2: External authentication (Social SSO)\n\nIt is only supported on Make's public cloud instances.\n"},"supportEligible":{"type":"boolean","description":"Whether the user is eligible for contact support. False if all user's organizations are on Free plan and account is older than 90 days."},"userTeamIds":{"type":"array","nullable":true,"description":"IDs of teams the user belongs to within the organization. Only returned when explicitly requested via cols[]=userTeamIds and organizationId is provided.","items":{"type":"integer"}}}}}}}}}}}}}}
```

## Update user email

> Updates an email for a user with a given ID by passing new data in the request body. It replaces the entire resource with the new values. In the response, it returns the confirmation if the email was changed.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/{userId}/attributes/email":{"put":{"tags":["Users"],"summary":"Update user email","description":"Updates an email for a user with a given ID by passing new data in the request body. It replaces the entire resource with the new values. In the response, it returns the confirmation if the email was changed.","parameters":[{"required":true,"name":"userId","in":"path","schema":{"type":"string"},"description":"The unique ID of the user. It can be retrieved from the [List users](/api-reference/users/get--users.md) endpoint."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"currentEmailAddress":{"type":"string","format":"email","description":"User's current email address."},"newEmailAddress":{"type":"string","format":"email","description":"User's new email address."},"currentPassword":{"type":"string","format":"password","description":"User's current password."}},"required":["currentEmailAddress","newEmailAddress","currentPassword"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"},"emailSent":{"type":"boolean"}}}}}}}}}}}
```

## Update user password

> Updates a password for a user with a given ID by passing new data in the request body. It replaces the entire resource with the new values. In the response, it returns the confirmation if the password was changed. This endpoint corresponds to changing a password in the user profile when the user is logged in to the Make interface.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:write"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/{userId}/attributes/password":{"put":{"tags":["Users"],"summary":"Update user password","description":"Updates a password for a user with a given ID by passing new data in the request body. It replaces the entire resource with the new values. In the response, it returns the confirmation if the password was changed. This endpoint corresponds to changing a password in the user profile when the user is logged in to the Make interface.","parameters":[{"required":true,"name":"userId","in":"path","schema":{"type":"string"},"description":"The unique ID of the user. It can be retrieved from the [List users](/api-reference/users/get--users.md) endpoint."}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"currentPassword":{"type":"string","format":"password","description":"The current user password."},"newPassword1":{"type":"string","format":"password","description":"The new user password. The password must be at least 9 characters long and must contain at least one uppercase letter, at least one number, and at least one special character."},"newPassword2":{"type":"string","format":"password","description":"The new user password for confirmation. This password must be the same as the password in the `newPassword1` property."}},"required":["currentPassword","newPassword1","newPassword2"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"changed":{"type":"boolean"}}}}}}}}}}}
```

## Send password reset demand

> Sends password reset demand for a user with an email passed in the request body. This endpoint corresponds to the \*\*Lost password\*\* function on the login page in the Make interface. In the response, it returns the confirmation if the demand was sent successfully.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/password-reset-demand":{"post":{"tags":["Users"],"summary":"Send password reset demand","description":"Sends password reset demand for a user with an email passed in the request body. This endpoint corresponds to the **Lost password** function on the login page in the Make interface. In the response, it returns the confirmation if the demand was sent successfully.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","format":"email","description":"The email of the user for who the password should be reset."}},"required":["email"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## Set session for resetting lost password

> Checks a hash and sets a session for the \[Reset lost password]\(./post--users--password-reset.md) endpoint. This endpoint corresponds to clicking the \*\*Reset password\*\* link in the \*\*Password reset\*\* email.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/password-reset":{"get":{"tags":["Users"],"summary":"Set session for resetting lost password","description":"Checks a hash and sets a session for the [Reset lost password](./post--users--password-reset.md) endpoint. This endpoint corresponds to clicking the **Reset password** link in the **Password reset** email.","parameters":[{"name":"hash","in":"query","schema":{"type":"string"},"description":"The unique hash of the password reset session."}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## Reset lost password

> Updates a password for a user based on the session created when calling the \[Prepare session for password reset]\(./get--users--password-reset.md) endpoint. This endpoint corresponds to setting a new password on the \*\*Lost password\*\* page in the Make interface.

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["organization:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/password-reset":{"post":{"tags":["Users"],"summary":"Reset lost password","description":"Updates a password for a user based on the session created when calling the [Prepare session for password reset](./get--users--password-reset.md) endpoint. This endpoint corresponds to setting a new password on the **Lost password** page in the Make interface.","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"newPassword1":{"type":"string","description":"The new user password."},"newPassword2":{"type":"string","description":"This password must be the same as the password in the `newPassword1` property."}},"required":["newPassword1","newPassword2"]}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"ok":{"type":"integer"}}}}}}}}}}}
```

## List users by permission

> Returns users who have a specific permission within an organization or team.\
> \
> Use \`type: organization\` with \`organizationId\` to find users that hold a given organization-level permission.\
> Use \`type: company\` with \`teamId\` to find users that hold a given team-level permission.\
> \
> Requires the \`organization users view\` permission on the resolved organization.\
> When \`type\` is \`company\`, additionally requires the \`team view\` permission on the specified team.<br>

```json
{"openapi":"3.0.0","info":{"title":"Web API v2 - Public ","version":"1.0.0"},"tags":[{"name":"Users","description":"The following main user endpoints allow you to get a list of existing users and manage their basic details such as password change."}],"servers":[{"url":"https://eu1.make.com/api/v2","description":"EU1 production zone"},{"url":"https://eu2.make.com/api/v2","description":"EU2 production zone"},{"url":"https://us1.make.com/api/v2","description":"US1 production zone"},{"url":"https://us2.make.com/api/v2","description":"US2 production zone"},{"url":"https://eu1.make.celonis.com/api/v2","description":"Celonis EU1 production zone"},{"url":"https://us1.make.celonis.com/api/v2","description":"Celonis US1 production zone"}],"security":[{"token":["user:read"]}],"components":{"securitySchemes":{"token":{"type":"apiKey","name":"Authorization","in":"header","description":"Authorize the API call with your API token in the `Authorization` header with the value: `Token your-api-token`.\n\nIf you don't have an API token yet, please refer to the [\"Authentication\" section](/api-documentation/authentication) to learn how to create one.\n"}}},"paths":{"/users/by-permission":{"get":{"tags":["Users"],"summary":"List users by permission","description":"Returns users who have a specific permission within an organization or team.\n\nUse `type: organization` with `organizationId` to find users that hold a given organization-level permission.\nUse `type: company` with `teamId` to find users that hold a given team-level permission.\n\nRequires the `organization users view` permission on the resolved organization.\nWhen `type` is `company`, additionally requires the `team view` permission on the specified team.\n","parameters":[{"name":"type","in":"query","required":true,"schema":{"type":"string","enum":["organization","company"]},"description":"Whether to filter by an organization-level or team-level (company) permission.\nWhen `organization`, supply `organizationId`.\nWhen `company`, supply `teamId`.\n"},{"name":"permission","in":"query","required":true,"schema":{"type":"string"},"description":"The permission string to filter by. Must be a valid permission for the given `type`.\nFor example `organization users view` (organization type) or `team view` (company type).\n"},{"name":"organizationId","in":"query","required":false,"schema":{"type":"integer"},"description":"Required when `type` is `organization`. The organization to scope the query to."},{"name":"teamId","in":"query","required":false,"schema":{"type":"integer"},"description":"Required when `type` is `company`. The team to scope the query to."},{"name":"cols","in":"query","schema":{"type":"array","items":{"type":"string"}},"description":"Specifies columns that are returned in the response. Use the `cols[]` parameter for every column that you want to return in the response. For example `GET /endpoint?cols[]=key1&cols[]=key2` to get both `key1` and `key2` columns in the response.\n\n[Check the \"Filtering\" section for a full example.](/pagination-sorting-filtering/filtering.md)\n"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"users":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier of the user."},"name":{"type":"string","nullable":true,"description":"Full name of the user."},"email":{"type":"string","description":"Email address of the user."},"personalSpaceId":{"type":"integer","nullable":true,"description":"ID of the user's personal space (team) within the organization, if any."},"language":{"type":"string","description":"Preferred language code of the user."},"timezoneId":{"type":"integer","description":"ID of the user's timezone."},"localeId":{"type":"integer","description":"ID of the user's locale."},"countryId":{"type":"integer","description":"ID of the user's country."},"avatar":{"type":"string","nullable":true,"description":"URL of the user's avatar image."},"lastLogin":{"type":"string","format":"date-time","nullable":true,"description":"Timestamp of the user's last login."},"invitationStatus":{"type":"string","nullable":true,"enum":["pending","expired"],"description":"Status of the user's organization invitation.\n`pending` — the user has been invited but has not yet accepted; the invitation is still valid.\n`expired` — the invitation has not been accepted in time.\n`null` — the user is a fully accepted member (no outstanding invitation).\n"}}}}}}}}},"400":{"description":"Bad request — invalid or missing parameters."},"401":{"description":"Unauthorized — authentication is required."},"403":{"description":"Forbidden — the authenticated user does not have the required permissions."}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/api-reference/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
